# /usr//bin/xgettext -T -C -a -o ksplash.pot `ls ../src/*.{cpp,h} ../kcmksplash/*.{cpp,h}`
%undefine __libtoolize
%define qtdir /usr/lib/qt3
%define objprelink 0

Name: ksplashml
Version: 0.95.3
Release: alt2

Group: Graphical desktop/KDE
Summary: Highly configurable Mac-like drop-in replacement for ksplash
URL: http://www.shadowcom.net/Software/ksplash-ml
License: GPL

Requires: kdelibs-gcc_compiled = %__gcc_version_base

Source0: ksplashml-%version.tar.bz2
Source1: kSplashRing.tar.bz2
Patch1: ksplashml-fix-test.patch
Patch2: ksplasml-fix-compile-gcc3.1.patch
Patch3: ksplasml2-fix-compile-gcc3.1.patch
Patch4: kplashml-0.95.patch

Patch100: ksplashml-0.95.1-compile.patch

# Automatically added by buildreq on Wed Jan 08 2003
#BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++ glibc-devel-static kde-settings kdelibs-devel libGLU libXft libart_lgpl-devel libarts-devel libexpat libfontconfig libjpeg-devel liblcms libmng libpng-devel libqt3-devel libstdc++-devel zlib-devel
BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++
BuildRequires: glibc-devel-static kde-settings kdelibs-devel libGLU libXft
BuildRequires: libart_lgpl-devel libarts-devel libexpat libfontconfig
BuildRequires: libjpeg-devel liblcms libmng libpng-devel libqt3-devel
BuildRequires: libstdc++-devel zlib-devel libart_lgpl-devel
BuildRequires: kdelibs-gcc_compiled = %__gcc_version_base
%if %objprelink
BuildRequires: objprelink
%endif

%description
Highly configurable Mac-like drop-in replacement for ksplash. Notice that
this is a separate software package which physically replaces your ksplash
binary. This _should_ work with KDE 2.1 and greater, but who knows for sure.
Includes a KCM module to help you configure it to suit your personal tastes
(each user can set it up differently). Simple to configure and install.

%prep
%setup  -q -nksplashml-%version
%patch1	-p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
#
#%patch100 -p1

make -f Makefile.cvs ||:

%build
export QTDIR=%qtdir
export KDEDIR=%prefix

export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export LDFLAGS="-L%buildroot/%_libdir -L%_libdir"

%configure \
	            --disable-rpath \
		    --with-qt-dir=%qtdir \
		    --disable-rpath \
		    --disable-debug \
	            --enable-final \
		    --program-transform-name=""

%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif

%install
#make install prefix=%buildroot/%prefix
%make DESTDIR=%buildroot includedir=%_includedir/%name install
#find %buildroot -type f -name \*.la -exec perl -pi -e "s|%buildroot||g" {} \;

pushd %buildroot/%_datadir/apps/%name/Themes
    tar xfj %SOURCE1
popd

# menu
install -d %buildroot/%_menudir
kdedesktop2mdkmenu.pl ksplashml Configuration/KDE/LookNFeel %buildroot/%_datadir/applnk/Settings/LookNFeel/ksplash.desktop %buildroot/%_menudir/ksplashml kde

# fix conflict with ksplash
mv %buildroot/%_bindir/ksplash %buildroot/%_bindir/ksplashml

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%files
%_bindir/*
%_libdir/*.so*
%_libdir/*.la*
%_includedir/%name
%_datadir/apps/%name
#
%_datadir/applnk/Settings/LookNFeel/*.desktop
%_menudir/*

%changelog
* Thu Jan 23 2003 Sergey V Turchin <zerg@altlinux.ru> 0.95.3-alt2
- add kSplashRing theme

* Wed Jan 08 2003 Sergey V Turchin <zerg@altlinux.ru> 0.95.3-alt1
- new version

* Thu Sep 12 2002 Sergey V Turchin <zerg@altlinux.ru> 0.95.2-alt2
- rebuild with gcc3.2

* Tue Jun 18 2002 Sergey V Turchin <zerg@altlinux.ru> 0.95.2-alt1
- new version

* Wed Jun 05 2002 Sergey V Turchin <zerg@altlinux.ru> 0.94.1-alt1
- new version

* Mon May 20 2002 Sergey V Turchin <zerg@altlinux.ru> 0.93.1-alt2
- add Patch100

* Sat May 18 2002 Sergey V Turchin <zerg@altlinux.ru> 0.93.1-alt1
- build for ALT

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.93.1-2mdk
- Rebuild against gcc-3.1
- Add patch2 fix gcc3.1 compile
- Add patch3 fix gcc3.1 compile

* Mon May 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.93.1-1mdk
- New version

* Wed Apr 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.92-1mdk
- Port to kde3

* Tue Mar 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.92-1mdk
- Update code

* Thu Dec 06 2001 Laurent Montel <lmontel@mandrakesoft.com> 0.80-4mdk
- Fix test ksplash

* Mon Nov 26 2001 Laurent Montel <lmontel@mandrakesoft.com> 0.80-3mdk
- Fix conflict with kdebase

* Sat Nov 24 2001 Laurent Montel <lmontel@mandrakesoft.com> 0.80-2mdk
- Fix description and summary

* Fri Nov 23 2001 Laurent Montel <lmontel@mandrakesoft.com> 0.80-1mdk
- Initial package
